Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.item
Class FTNodeItem

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.item.Item
                  org.basex.query.item.Nod
                      org.basex.query.item.DBNode
                          org.basex.query.item.FTNodeItem

    public final class FTNodeItem

extends DBNode

XQuery item representing a full-text Node.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Sebastian Gath

Field Summary
`FTNode` | `ftn` FTNode object.

Fields inherited from class org.basex.query.item.DBNode
`data, pre, root`

Fields inherited from class org.basex.query.item.Item
`type`

Constructor Summary
`FTNodeItem()` Constructor.
`FTNodeItem(FTNode ftnode, Data dat)` Constructor.

Method Summary
`void` | `merge(FTNodeItem i1, int w)` Merge current item with an other FTNodeItem.
`double` | `score()` Returns a score value.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.item.DBNode
`attr, base, child, color, copy, desc, descOrSelf, diff, finish, is, nname, ns, parent, parent, plan, qname, qname, serialize, set, str`

Methods inherited from class org.basex.query.item.Nod
`anc, ancOrSelf, bool, dbl, dec, diff, eq, flt, foll, follSibl, itr, java, kind, par, prec, precSibl, self`

Methods inherited from class org.basex.query.item.Item
`atomic, castErr, comp, d, duplicates, ebv, hash, i, iter, iter, n, name, node, removable, returned, s, score, test, u, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, e, indexAccessible, indexEquivalent, remove, sameAs, size`

Methods inherited from class org.basex.query.ExprInfo
`info`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ftn

    public FTNode ftn

  FTNode object.

Constructor Detail

### FTNodeItem

    public FTNodeItem()

  Constructor.

### FTNodeItem

    public FTNodeItem(FTNode ftnode,
                      Data dat)

  Constructor.

  Parameters:
    `ftnode` - FTNode
    `dat` - Data reference

Method Detail

### score

    public double score()

  Description copied from class: `Item`
  Returns a score value.

  Overrides:
    `score` in class `Item`
  Returns:
    score value

### merge

    public void merge(FTNodeItem i1,
                      int w)

  Merge current item with an other FTNodeItem.

  Parameters:
    `i1` - other FTNodeItem
    `w` - number of words

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `DBNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD